Page MenuHomePhabricator

Tab order in link insertion dialog is all messed up
Closed, ResolvedPublic8 Story Points

Description

Tab order in link insertion dialog is all messed up.

Issues:

  • The quickest way to get to "Done" is tabbing backwards.
  • All the search suggestions are in the tab index. They should instead only be accessible via up/down arrows when the text field has focus, to allow quick tab indexing through the rest of the dialog.
  • It's quite difficult to find out how to even reach the "External link" tab. You have to tab backwards a few times, then use arrow keys when the tabs finally get the focus.
  • Tab index 13 is conspicuously missing. No idea where the focus goes.

Event Timeline

matmarex created this task.Mar 13 2016, 8:50 PM
Restricted Application added a project: VisualEditor. · View Herald TranscriptMar 13 2016, 8:50 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

So, I guess I'd expect this:

The order of dialog action buttons is defined by OOjs UI, filed T129794 about them.

Elitre added a subscriber: Elitre.Mar 15 2016, 4:29 PM
Jdforrester-WMF triaged this task as Normal priority.Mar 15 2016, 5:51 PM
Jdforrester-WMF set the point value for this task to 1.
Jdforrester-WMF moved this task from To Triage to TR0: Interrupt on the VisualEditor board.

Change 282964 had a related patch set uploaded (by DLynch):
ve.ui.TabbableElements: JS replacement for unreliable tabIndex

https://gerrit.wikimedia.org/r/282964

Change 282964 merged by jenkins-bot:
ve.ui.TabIndexScope: provide a scope for tabIndex

https://gerrit.wikimedia.org/r/282964

Jdforrester-WMF changed the point value for this task from 1 to 8.EditedJun 1 2016, 4:48 PM
Jdforrester-WMF removed a project: Patch-For-Review.
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Remaining part here is to apply it to the MW link inspector once it's pulled through.

Change 297424 had a related patch set uploaded (by DLynch):
TitleOptionWidget: don't subvert OptionWidget's tabindex

https://gerrit.wikimedia.org/r/297424

Change 297426 had a related patch set uploaded (by DLynch):
Add aria-hidden to several Layouts

https://gerrit.wikimedia.org/r/297426

Change 297424 merged by jenkins-bot:
TitleOptionWidget: don't subvert OptionWidget's tabindex

https://gerrit.wikimedia.org/r/297424

Change 297608 had a related patch set uploaded (by DLynch):
Window: make the focus trap smarter

https://gerrit.wikimedia.org/r/297608

Change 297804 had a related patch set uploaded (by DLynch):
TabIndexScope: respect aria-hidden

https://gerrit.wikimedia.org/r/297804

Change 297608 merged by jenkins-bot:
Window: make the focus trap smarter

https://gerrit.wikimedia.org/r/297608

Change 297426 merged by jenkins-bot:
Add aria-hidden to several Layouts

https://gerrit.wikimedia.org/r/297426

Change 297804 merged by jenkins-bot:
TabIndexScope: respect aria-hidden

https://gerrit.wikimedia.org/r/297804